# Benötigte Software

## Versionen ab 3.13.0

Ab Version 3.13.0 wurde ein Repository auf dem Transferportal der Hochschule erstellt, das fortan als Ablageort für fertige Releases verwendet wird:  
[https://transfer.hft-stuttgart.de/gitlab/citydoctor/citydoctorreleases](https://transfer.hft-stuttgart.de/gitlab/citydoctor/citydoctorreleases)

Die Versionen sind dort unterteilt zwischen CityDoctorValidation und CityDoctorGUI und unter diesen Ordnern gibt es die entsprechenden Versionsordner.

### Releaseversionen

Für jede CityDoctor Variante (CityDoctorValidation oder CityDoctorGUI) werden vier verschiedene Versionen zum Download bereitgestellt.
Es werden in verschiedenen Versionen Java Runtimes der Liberica Distribution mitgeliefert. 

| Version | Beschreibung |
| ------- | ------------ |
| CityDoctor*-no-runtime.zip | Diese Version beinhaltet keine Runtime für Java. Falls auf Ihrem PC schon ein Java der Version 17 installiert ist (siehe [Java](requiredSoftware.md#java)), dann ist diese Version zu bevorzugen.
| CityDoctor*-win.zip | Beinhaltet eine Windows Java Runtime zum ausführen von CityDoctor, kein Java muss installiert sein. |
| CityDoctor*-lin.zip | Beinhaltet eine Linux Java Runtime zum ausführen von CityDoctor |
| CityDoctor*-mac.zip | Beinhaltet eine Mac Java Runtime zum ausführen von CityDoctor |

## Versionen bis 3.12.x

CityDoctor kann von verschiedenen Seiten heruntergeladen werden. Die aktuellste Stelle ist ein [gitlab Repository](https://gitlab.com/volkercoors/CiD4Sim/-/tree/master/CityDoctorExtension). Alternativ werden Releases auch auf der [CityDoctor Homepage der BHT](https://projekt.bht-berlin.de/citydoctor2/downloads/) gelistet. Es gibt dabei immer zwei Versionen:

* **CityDoctorGUI-3.x.x.zip:** Das ist die grafische Oberfläche inklusive der Prüfungen. Geeignet für den Endnutzer auf einem Desktop PC.
* **CityDoctorValidation-3.x.x.zip:** Das ist die Batch-Version die für die Integration in Servern oder anderen bestehenden Systemen geeignet ist und hat keine grafische Oberfläche sondern arbeitet Dateibasiert als Prozess.

!!! note
	Es gibt manchmal Spezialversionen die Testweise erstellt worden sind um verschiedene Auslieferungsmöglichkeiten zu testen. Bsp: CityDoctorGUI-x.x.x-win.zip beinhaltet die JavaFX Bibliotheken sodass eine Java Umgebung ohne JavaFX auch verwendet werden kann.
	
	
### Java

Vor der CityDoctor Version 3.12.x wird Java 8 entweder als JDK oder als JRE benötigt. Ab der Version 3.12.x wird Java 17 benötigt.
!!! warning
	Es wichtig, dass die installierte Java Version die JavaFX Bibliotheken mit einschließt. Diese werden für die grafische Oberfläche benötigt.

[Die Liberica JRE oder JDK](https://bell-sw.com/libericajdk/) hat sich für einen Einsatz mit CityDoctor bewährt.

!!! note
	Die Liberica Distribution ist zu 100% frei und OpenSource.

!!! note
	Für die Entwicklung mit CityDoctor wird eine JDK benötigt.