# CityDoctor2
**Entwicklung eines Systems zur automatisierten Reparatur virtueller Stadtmodelle**  

CityDoctor2 ist eine Qualitätsprüfungssoftware für 3D Stadtmodelle im CityGML format. CityDoctor kann CityGML 1/2 Dokumente einlesen und seit Version 3.12 kann auch eingeschränkt CityGML 3 gelesen werden. Alle Prüfergebnisse können in xml oder pdf Form ausgegeben werden. Zusätzlich implementiert CityDoctor die [QualityADE](https://transfer.hft-stuttgart.de/gitlab/citydoctor/qualityade) um Prüfergebnisse direkt in CityGML zu speichern.

![examplePicture](img/checked.png)

# Lizenzen / Versionen

### CityDoctorValidation

Der Validierungsteil von CityDoctor ist frei verfügbar und [OpenSource](https://transfer.hft-stuttgart.de/gitlab/citydoctor/citydoctor2)

### CityDoctorGUI

Die grafische Oberfläche ist frei aber nicht OpenSource (siehe [Installation](requiredSoftware.md))

### CityDoctorHealer

Der Teil zuständig für die Reparatur ist nur in Absprache mit uns zu erhalten.
Mail an:
![mail](img/mail.png)  

# Projekt
**Projektlaufzeit:** 01.11.2018 - 31.12.2021

## Partner

**Projektverantwortliche:**  
Prof. Dr. Margitta Pries

**Verbundpartner:**  
Prof. Dr.-Ing. Volker Coors

**Kooperationspartner:**  
[3DIS GmbH](https://www.3dis.de/)  
[3dpartzz GmbH](https://3dpartzz.com/)  
[con terra GmbH](https://conterra.de/)  
[Geoplex GIS GmbH](https://www.geoplex.de/)  
Mark Wewetzer  
[M.O.S.S. Computer Grafik Systeme GmbH](https://www.moss.de/)  
[Steinbeis - Transferzentrum](https://www.steinbeis.de/de.html)  
[Virtual City Systems](https://www.virtualcitysystems.de/)

**Assoziative Partner:**  
[Landesamt für Geoinformation und Landentwicklung Baden-Württemberg](https://www.lgl-bw.de/)  
  
**Mittelgeber:**  
[Bundesministerium für Bildung und Forschung](https://www.bmbf.de/)  
  
**Projektträger:**  
[VDI Technologiezentrum](https://www.vditz.de/)  

![partner](img/partner.png)

